#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.Activities;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// Interface that specified the approval related event activities
    /// </summary>
    [ExternalDataExchange()]
	public interface IApprovalCommunication
	{
        /// <summary>
        /// Specifies the ApprovalEvent activity
        /// </summary>
        event EventHandler<ApprovalEventArgs> ApprovalEvent;

        /// <summary>
        /// Specifies the SetApproversEvent activity
        /// </summary>
        event EventHandler<SetApproversEventArgs> SetApproversEvent;
	}
}
