#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

using EPiServer.WorkflowFoundation.UI;
using EPiServer.WorkflowFoundation.Activities;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// A Noop activity. It is used to associate created task with a usercontrol
    /// </summary>
    /// <remarks>ActivityPlugIn specifies usercontrol for user in feedback workflow</remarks>
    [ActivityPlugIn(Area = EPiServer.PlugIn.PlugInArea.None, UrlFromUtil = "WorkflowsUI/WorkflowFeedbackUser.ascx")]
    [Designer(typeof(CustomCodeActivityDesigner), typeof(IDesigner))]
    [ToolboxItemAttribute(false)]
	public partial class FeedbackUserActivity: SequenceActivity
	{
		public FeedbackUserActivity()
		{
			InitializeComponent();
		}
        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            return ActivityExecutionStatus.Closed;
        }
	}
}
